Bullet Collision Detection & Physics Library: btSymMatrix< T > Struct Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSymMatrix< T > Struct Template Reference

`#include <btSoftBodyInternals.h>`

## Public Member Functions
| btSymMatrix ()
| btSymMatrix (int n, const T &init=T())
void | resize (int n, const T &init=T())
int | index (int c, int r) const
T & | operator() (int c, int r)
const T & | operator() (int c, int r) const

## Public Attributes
btAlignedObjectArray< T > | store
int | dim

## Detailed Description

template<typename T>
struct btSymMatrix< T >

Definition at line 638 of file btSoftBodyInternals.h.

## Constructor & Destructor Documentation

## ◆ btSymMatrix() [1/2]

template<typename T >

btSymMatrix< T >::btSymMatrix | ( |  | ) |
| inline

Definition at line 640 of file btSoftBodyInternals.h.

## ◆ btSymMatrix() [2/2]

template<typename T >

btSymMatrix< T >::btSymMatrix | ( | int | n,
|  | const T & | init = T() )
| inline

Definition at line 641 of file btSoftBodyInternals.h.

## Member Function Documentation

## ◆ index()

template<typename T >

int btSymMatrix< T >::index | ( | int | c,
|  | int | r ) const
| inline

Definition at line 647 of file btSoftBodyInternals.h.

## ◆ operator()() [1/2]

template<typename T >

T & btSymMatrix< T >::operator() | ( | int | c,
|  | int | r )
| inline

Definition at line 653 of file btSoftBodyInternals.h.

## ◆ operator()() [2/2]

template<typename T >

const T & btSymMatrix< T >::operator() | ( | int | c,
|  | int | r ) const
| inline

Definition at line 654 of file btSoftBodyInternals.h.

## ◆ resize()

template<typename T >

void btSymMatrix< T >::resize | ( | int | n,
|  | const T & | init = T() )
| inline

Definition at line 642 of file btSoftBodyInternals.h.

## Member Data Documentation

## ◆ dim

template<typename T >

int btSymMatrix< T >::dim

Definition at line 656 of file btSoftBodyInternals.h.

## ◆ store

template<typename T >

btAlignedObjectArray<T> btSymMatrix< T >::store

Definition at line 655 of file btSoftBodyInternals.h.

The documentation for this struct was generated from the following file:

- btSoftBodyInternals.h